import * as models from "./modules/dataModel/_system.mjs";
import * as sheets from "./modules/sheets/_system.mjs";
/* -------------------------------------------- */
/*  Foundry VTT Initialization                  */
/* -------------------------------------------- */

const SYSTEM = {
    id: "kidsonbrooms",
    
}

Hooks.once("init", async function() {
    console.log("Initialising Kids on Brooms system");

    globalThis.kidsonbrooms = game.system;
    game.system.CONST = SYSTEM;
    
    Actors.unregisterSheet("core", ActorSheet);
    Actors.registerSheet(SYSTEM.id, "{{sheets.BaseActorSheet}}", {types: ["PlayerCharacter"], makeDefault: true});

    CONFIG.Actor.dataModels = models.playerCharacterModel;

})